%{?nodejs_find_provides_and_requires}

%global packagename labeled-stream-splicer
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.2
Release: 1%{?dist}.3
Summary: Stream splicer with labels
License: MIT
URL: https://github.com/substack/labeled-stream-splicer
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Patch0: nodejs-labeled-stream-splicer-new-module-deps.patch
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
BuildRequires: npm(isarray) >= 0.0.1
BuildRequires: npm(isarray) < 0.1.0
BuildRequires: npm(stream-splicer) >= 1.1.0
BuildRequires: npm(stream-splicer) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(browser-pack) >= 2.0.1
BuildRequires: npm(concat-stream) >= 1.4.6
BuildRequires: npm(concat-stream) < 2.0.0
BuildRequires: npm(module-deps) >= 3.0.0
BuildRequires: npm(tape) >= 2.12.1
BuildRequires: npm(through2) >= 1.0.0
%endif

%description
Stream splicer with labels.


%prep
%setup -q -n package
%patch0 -p1
%nodejs_fixdep --dev browser-pack '>=2.0.1'
%nodejs_fixdep --dev module-deps '>=3.0.0'
%nodejs_fixdep --dev tape '>=2.12.1'
%nodejs_fixdep --dev through2 '>=1.0.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Sep 29 2016 Oleg Girko <ol@infoserver.lv> - 1.0.2-1
- Initial package.
